## qqc2-desktop-style 5.116.1+p24.04+vstable+git20251020.0943

=== debian/changelog ===
qqc2-desktop-style (5.116.1+p24.04+vstable+git20251020.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 09:43:27 +0000
