## qqc2-desktop-style 5.116.1+p24.04+vstable+git20260105.1129

=== debian/changelog ===
qqc2-desktop-style (5.116.1+p24.04+vstable+git20260105.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:29:39 +0000
