=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
