## qqc2-desktop-style 5.116.1+p24.04+vstable+git20260122.1256

=== debian/changelog ===
qqc2-desktop-style (5.116.1+p24.04+vstable+git20260122.1256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:56:43 +0000
