=== debian/changelog ===
qqc2-desktop-style (5.116.1+p24.04+vstable+git20260131.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:44:52 +0000
